Bug 14017 - Personalize shopping cart messaging.
Personalize shopping cart messaging.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Web Site
Classification: Red Hat
Component: Other (Show other bugs)
current
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lancaster
Paul Lindner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-14 20:50 EDT by Paul Lindner
Modified: 2007-04-18 12:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-28 13:27:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Lindner 2000-07-14 20:50:51 EDT
Shopping Cart text needs to have personalized headings based on the user
name
when logged in.
Comment 1 Garth Webb 2000-07-26 14:33:51 EDT
I added this functionality from the engineering side.  There is now a new folder
in the 'store_cart' pane called 'cart_headers'.  All header files for the store
cart should be put here.  To include a header file in a cart style, a header
include function is provided.  You can include headers like this:

For a header file named 'my_header.html'

To include in a cart style add the line:

<% cart_header('my_header'); %>

just before the first bit of HTML.


Paul, for some reason I was not able to assign this bug to myself or change its
status...
Comment 2 Garth Webb 2000-07-27 15:14:22 EDT
Update on previous comment;  my fix does not actually address the problem. 
Rather than needing a personalized *cart* header, a personalized *page* header
is need for a particular page showing the cart.  
This will require updating the site.rdf file to allow variable substitution and
adding a logged in page title and a logged out page title.
Comment 3 Garth Webb 2000-07-28 13:27:02 EDT
This has been fixed by adding code to the Apps::Nav module.  One can now
personalize the header pane for the logged in user.  This is done via the *.rdf
files in the header pane folder 'web/apps/panes/header/nav'.  There are 3 new
variables that can be used:

%u == replaced by the logged in user's username
%f  == replaced by the logged in user's first name
%l == replaced by the logged in user's last name

There are also two new tags:

<dc:userTitle> == the title used when a user is logged in.
<rh:userNavTitle> == the nav title used when a user is logged in.
Comment 4 Paul Lindner 2000-08-03 21:12:02 EDT
knock this out of the queue, it's done...

Note You need to log in before you can comment on or make changes to this bug.